%define vname e_modules
%define cvs_date _002_20050530

Name: e-modules
Version: 0.17.0.pre10
Release: alt0.1%cvs_date
Summary: e-modules - a collection of modules for enlightenment 0.17
License: BSD

Group: Graphical desktop/Enlightenment
Source: %vname-%version%cvs_date.tar.bz2
URL: http://www.enlightenment.org

# Automatically added by buildreq on Mon Apr 25 2005
BuildRequires: e17-devel gcc-c++ gcc-g77 hostinfo libecore-devel libedje-devel libeet-devel libesmart-devel libevas-devel libstdc++-devel edje

%description
e_modules - a collection of modules for enlightenment 0.17

Flame....: A module that displays flame at the bottom of the screen.
Notes....: A module that displays sticky notes.
Snow.....: A module that displays christmas trees and falling snow on
           your desktop.

%prep
%setup -q -n %vname

%build
%if "%cvs_date" != "%nil"
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake --foreign --add-missing
%__autoconf
%endif

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
make DESTDIR=%buildroot install

%post

%postun

%clean

%files
%doc AUTHORS COPYING* README* NEWS*
%_libdir/enlightenment/modules_extra/*
%_libdir/%vname

%changelog
* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt0.1_002_20050530
- updated from cvs.

* Wed May 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt0.1_002_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt0.1_002_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt0.1_002_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt0.1_002_20050428
- Updated from cvs.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt0.1_002_20050425
- Initial build from CVS.
